package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppletIcon;

/**
 * 跳转图标菜单Service接口
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public interface IAppletIconService 
{
    /**
     * 查询跳转图标菜单
     * 
     * @param id 跳转图标菜单主键
     * @return 跳转图标菜单
     */
    public AppletIcon selectAppletIconById(Long id);

    /**
     * 查询跳转图标菜单列表
     * 
     * @param appletIcon 跳转图标菜单
     * @return 跳转图标菜单集合
     */
    public List<AppletIcon> selectAppletIconList(AppletIcon appletIcon);

    /**
     * 新增跳转图标菜单
     * 
     * @param appletIcon 跳转图标菜单
     * @return 结果
     */
    public int insertAppletIcon(AppletIcon appletIcon);

    /**
     * 修改跳转图标菜单
     * 
     * @param appletIcon 跳转图标菜单
     * @return 结果
     */
    public int updateAppletIcon(AppletIcon appletIcon);

    /**
     * 批量删除跳转图标菜单
     * 
     * @param ids 需要删除的跳转图标菜单主键集合
     * @return 结果
     */
    public int deleteAppletIconByIds(Long[] ids);

    /**
     * 删除跳转图标菜单信息
     * 
     * @param id 跳转图标菜单主键
     * @return 结果
     */
    public int deleteAppletIconById(Long id);
}
